Description

Hi there,

I'd like to conduct longitudinal analysis using UKHLS. In brief terms: | will be conducting a latent class analysis using information from
wave 8, then adjusting with variables from wave 7, and then using latent class membership derived from wave 8 to predict mental
health outcomes in wave 9 with regression analysis. My question concerns the correct weight to use. Guidance suggests that |
should use the appropriate weight from the last wave used - this would be i_indscui_Iw. Can | use i_indscui_lw (the appropriate
longitudinal weight from wave 9) as a weight in the latent class analysis (which uses information from wave 8)? | understand that for
those that did not respond in wave 9, i_indscui_lw will be missing. | would therefore select a sub-sample that responded to the
self-completion part of the wave 9 questionnaire (using i_scflag_dv).

Thanks very much for your help

Best

History

#1 - 02/10/2022 02:30 PM - Olena Kaminska
Rebeka,

Yes, your approach will be correct and you could use wave 9 weights for both analyses (latent and regression). You won't need to select relevant
respondents - the weight will do this job for you.

Or you could use wave 8 Iw weight for latent class first and then wave 9 weight for regression. With a latent class you would estimate a population
classes and get probabilities for being in each class for everyone. These predicted probabilities will still be relevant for the smaller sample at wave 9
and you could then use them in regression. Essentially you will be using more information (higher sample size) to estimate the latent classes -
something | would recommend. It's ok if you don't use everyone from latent class analysis later - the classes should be the same, and the differential
nonresponse at wave 9 will be corrected by the wave 9 weight.

Hope this helps,
Olena

#2 - 02/14/2022 08:51 AM - Rebeka Balogh
Hi Olena,

Thanks very much for this quick and very clear answer.
One follow-up question: to correct for non-response in wave 9, should | set the longitudinal weight for those that have a missing weight to 0?

Have a nice day
Rebeka

#3 - 02/14/2022 10:21 AM - Olena Kaminska

Yes, set it to zero.

#4 - 02/21/2022 02:55 PM - Understanding Society User Support Team
- Status changed from New to Feedback
- % Done changed from 0 to 80

- Private changed from Yes to No

#5 - 06/07/2022 10:09 AM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
